Package picard.analysis.directed

# Class HsMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.metrics.MultilevelMetrics
picard.analysis.directed.PanelMetricsBase
picard.analysis.directed.HsMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class HsMetrics extends PanelMetricsBase

Metrics generated by CollectHsMetrics for the analysis of target-capture sequencing experiments. The metrics in this class fall broadly into three categories:

- Basic sequencing metrics that are either generated as a baseline against which to evaluate other metrics or because they are used in the calculation of other metrics. This includes things like the genome size, the number of reads, the number of aligned reads etc.
- Metrics that are intended for evaluating the performance of the wet-lab assay that generated the data. This group includes metrics like the number of bases mapping on/off/near baits, %selected, fold 80 base penalty, hs library size and the hs penalty metrics. These metrics are calculated prior to some of the filters are applied (e.g. duplicate reads, low mapping quality reads, low base quality bases and bases overlapping in the middle of paired-end reads are all counted).
- Metrics for assessing target coverage as a proxy for how well the data is likely to perform in downstream applications like variant calling. This group includes metrics like mean target coverage, the percentage of bases reaching various coverage levels, and the percentage of bases excluded by various filters. These metrics are computed using the strictest subset of the data, after all filters have been applied.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`BAIT_DESIGN_EFFICIENCY`
The ratio of TARGET_TERRITORY/BAIT_TERRITORY.
`String`
`BAIT_SET`
The name of the bait set used in the hybrid selection.
`long`
`BAIT_TERRITORY`
The number of bases which are localized to one or more baits.
`double`
`FOLD_ENRICHMENT`
The fold by which the baited region has been amplified above genomic background.
`Long`
`HS_LIBRARY_SIZE`
The estimated number of unique molecules in the selected part of the library.
`double`
`HS_PENALTY_100X`
The "hybrid selection penalty" incurred to get 80% of target bases to 100X.
`double`
`HS_PENALTY_10X`
The "hybrid selection penalty" incurred to get 80% of target bases to 10X.
`double`
`HS_PENALTY_20X`
The "hybrid selection penalty" incurred to get 80% of target bases to 20X.
`double`
`HS_PENALTY_30X`
The "hybrid selection penalty" incurred to get 80% of target bases to 30X.
`double`
`HS_PENALTY_40X`
The "hybrid selection penalty" incurred to get 80% of target bases to 40X.
`double`
`HS_PENALTY_50X`
The "hybrid selection penalty" incurred to get 80% of target bases to 50X.
`double`
`MEAN_BAIT_COVERAGE`
The mean coverage of all baits in the experiment.
`long`
`NEAR_BAIT_BASES`
The number of PF_BASES_ALIGNED that are mapped to within a fixed interval containing a baited region, but not within the baited section per se.
`long`
`OFF_BAIT_BASES`
The number of PF_BASES_ALIGNED that are mapped away from any baited region.
`long`
`ON_BAIT_BASES`
The number of PF_BASES_ALIGNED that are mapped to the baited regions of the genome.
`double`
`ON_BAIT_VS_SELECTED`
The fraction of bases on or near baits that are covered by baits, ON_BAIT_BASES/(ON_BAIT_BASES + NEAR_BAIT_BASES).
`double`
`PCT_OFF_BAIT`
The fraction of PF_BASES_ALIGNED that are mapped away from any baited region, OFF_BAIT_BASES/PF_BASES_ALIGNED.
`double`
`PCT_SELECTED_BASES`
The fraction of PF_BASES_ALIGNED located on or near a baited region (ON_BAIT_BASES + NEAR_BAIT_BASES)/PF_BASES_ALIGNED.
`double`
`PCT_USABLE_BASES_ON_BAIT`
The fraction of aligned, on-bait bases out of the PF bases available.
`double`
`PCT_USABLE_BASES_ON_TARGET`
The fraction of aligned, de-duped, on-target bases out of all the PF bases available.

### Fields inherited from class picard.analysis.directed.PanelMetricsBase

`AT_DROPOUT, FOLD_80_BASE_PENALTY, GC_DROPOUT, GENOME_SIZE, HET_SNP_Q, HET_SNP_SENSITIVITY, MAX_TARGET_COVERAGE, MEAN_TARGET_COVERAGE, MEDIAN_TARGET_COVERAGE, MIN_TARGET_COVERAGE, ON_TARGET_BASES, PCT_EXC_ADAPTER, PCT_EXC_BASEQ, PCT_EXC_DUPE, PCT_EXC_MAPQ, PCT_EXC_OFF_TARGET, PCT_EXC_OVERLAP, PCT_PF_READS, PCT_PF_UQ_READS, PCT_PF_UQ_READS_ALIGNED, PCT_TARGET_BASES_100000X, PCT_TARGET_BASES_10000X, PCT_TARGET_BASES_1000X, PCT_TARGET_BASES_100X, PCT_TARGET_BASES_10X, PCT_TARGET_BASES_1X, PCT_TARGET_BASES_20X, PCT_TARGET_BASES_25000X, PCT_TARGET_BASES_2500X, PCT_TARGET_BASES_250X, PCT_TARGET_BASES_2X, PCT_TARGET_BASES_30X, PCT_TARGET_BASES_40X, PCT_TARGET_BASES_50000X, PCT_TARGET_BASES_5000X, PCT_TARGET_BASES_500X, PCT_TARGET_BASES_50X, PF_BASES, PF_BASES_ALIGNED, PF_READS, PF_UNIQUE_READS, PF_UQ_BASES_ALIGNED, PF_UQ_READS_ALIGNED, TARGET_TERRITORY, TOTAL_READS, ZERO_CVG_TARGETS_PCT`

### Fields inherited from class picard.metrics.MultilevelMetrics

`LIBRARY, READ_GROUP, SAMPLE`

## Constructor Summary

Constructors
Constructor
Description
`HsMetrics()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### BAIT_SET

public String BAIT_SET
The name of the bait set used in the hybrid selection.

### BAIT_TERRITORY

public long BAIT_TERRITORY
The number of bases which are localized to one or more baits.

### BAIT_DESIGN_EFFICIENCY

public double BAIT_DESIGN_EFFICIENCY
The ratio of TARGET_TERRITORY/BAIT_TERRITORY. A value of 1 indicates a perfect design efficiency, while a valud of 0.5 indicates that half of bases within the bait region are not within the target region.

### ON_BAIT_BASES

public long ON_BAIT_BASES
The number of PF_BASES_ALIGNED that are mapped to the baited regions of the genome.

### NEAR_BAIT_BASES

public long NEAR_BAIT_BASES
The number of PF_BASES_ALIGNED that are mapped to within a fixed interval containing a baited region, but not within the baited section per se.

### OFF_BAIT_BASES

public long OFF_BAIT_BASES
The number of PF_BASES_ALIGNED that are mapped away from any baited region.

### PCT_SELECTED_BASES

public double PCT_SELECTED_BASES
The fraction of PF_BASES_ALIGNED located on or near a baited region (ON_BAIT_BASES + NEAR_BAIT_BASES)/PF_BASES_ALIGNED.

### PCT_OFF_BAIT

public double PCT_OFF_BAIT
The fraction of PF_BASES_ALIGNED that are mapped away from any baited region, OFF_BAIT_BASES/PF_BASES_ALIGNED.

### ON_BAIT_VS_SELECTED

public double ON_BAIT_VS_SELECTED
The fraction of bases on or near baits that are covered by baits, ON_BAIT_BASES/(ON_BAIT_BASES + NEAR_BAIT_BASES).

### MEAN_BAIT_COVERAGE

public double MEAN_BAIT_COVERAGE
The mean coverage of all baits in the experiment.

### PCT_USABLE_BASES_ON_BAIT

public double PCT_USABLE_BASES_ON_BAIT
The fraction of aligned, on-bait bases out of the PF bases available. (NOTE: This uses duplicate reads for both numerator and denominator)

### PCT_USABLE_BASES_ON_TARGET

public double PCT_USABLE_BASES_ON_TARGET
The fraction of aligned, de-duped, on-target bases out of all the PF bases available.

### FOLD_ENRICHMENT

public double FOLD_ENRICHMENT
The fold by which the baited region has been amplified above genomic background.

### HS_LIBRARY_SIZE

public Long HS_LIBRARY_SIZE
The estimated number of unique molecules in the selected part of the library.

### HS_PENALTY_10X

public double HS_PENALTY_10X
The "hybrid selection penalty" incurred to get 80% of target bases to 10X. This metric should be interpreted as: if I have a design with 10 megabases of target, and want to get 10X coverage I need to sequence until PF_ALIGNED_BASES = 10^7 * 10 * HS_PENALTY_10X.

### HS_PENALTY_20X

public double HS_PENALTY_20X
The "hybrid selection penalty" incurred to get 80% of target bases to 20X. This metric should be interpreted as: if I have a design with 10 megabases of target, and want to get 20X coverage I need to sequence until PF_ALIGNED_BASES = 10^7 * 20 * HS_PENALTY_20X.

### HS_PENALTY_30X

public double HS_PENALTY_30X
The "hybrid selection penalty" incurred to get 80% of target bases to 30X. This metric should be interpreted as: if I have a design with 10 megabases of target, and want to get 30X coverage I need to sequence until PF_ALIGNED_BASES = 10^7 * 30 * HS_PENALTY_30X.

### HS_PENALTY_40X

public double HS_PENALTY_40X
The "hybrid selection penalty" incurred to get 80% of target bases to 40X. This metric should be interpreted as: if I have a design with 10 megabases of target, and want to get 40X coverage I need to sequence until PF_ALIGNED_BASES = 10^7 * 40 * HS_PENALTY_40X.

### HS_PENALTY_50X

public double HS_PENALTY_50X
The "hybrid selection penalty" incurred to get 80% of target bases to 50X. This metric should be interpreted as: if I have a design with 10 megabases of target, and want to get 50X coverage I need to sequence until PF_ALIGNED_BASES = 10^7 * 50 * HS_PENALTY_50X.

### HS_PENALTY_100X

public double HS_PENALTY_100X
The "hybrid selection penalty" incurred to get 80% of target bases to 100X. This metric should be interpreted as: if I have a design with 10 megabases of target, and want to get 100X coverage I need to sequence until PF_ALIGNED_BASES = 10^7 * 100 * HS_PENALTY_100X.

## Constructor Details

### HsMetrics

public HsMetrics()